summaryrefslogtreecommitdiffstats
path: root/source
diff options
context:
space:
mode:
Diffstat (limited to 'source')
-rw-r--r--source/l/SDL2_ttf/SDL2_ttf.url1
-rwxr-xr-xsource/l/libproxy/libproxy.SlackBuild65
-rw-r--r--source/n/nghttp2/nghttp2.url2
-rw-r--r--source/x/x11/build/xbiff2
4 files changed, 45 insertions, 25 deletions
diff --git a/source/l/SDL2_ttf/SDL2_ttf.url b/source/l/SDL2_ttf/SDL2_ttf.url
index 7d690504b..7eec9c56c 100644
--- a/source/l/SDL2_ttf/SDL2_ttf.url
+++ b/source/l/SDL2_ttf/SDL2_ttf.url
@@ -1 +1,2 @@
https://github.com/libsdl-org/SDL_ttf
+https://github.com/libsdl-org/SDL_ttf/releases/download/release-2.22.0/SDL2_ttf-2.22.0.tar.gz
diff --git a/source/l/libproxy/libproxy.SlackBuild b/source/l/libproxy/libproxy.SlackBuild
index c40ff9a54..9a5c2b8be 100755
--- a/source/l/libproxy/libproxy.SlackBuild
+++ b/source/l/libproxy/libproxy.SlackBuild
@@ -1,7 +1,7 @@
#!/bin/bash
# Copyright 2009, 2010, 2011 Robby Workman Northport, AL, USA
-# Copyright 2013, 2018 Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2013, 2018, 2023 Patrick J. Volkerding, Sebeka, MN, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -78,38 +78,57 @@ find . \
\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
-exec chmod 644 {} \+
-cmake . \
- -DCMAKE_C_FLAGS="$SLKCFLAGS" \
- -DCMAKE_CXX_FLAGS="$SLKCFLAGS" \
- -DCMAKE_INSTALL_PREFIX=/usr \
- -DLIB_INSTALL_DIR=/usr/lib${LIBDIRSUFFIX} \
- -DLIB_SUFFIX=${LIBDIRSUFFIX} \
- -DMODULE_INSTALL_DIR=/usr/lib${LIBDIRSUFFIX}/libproxy/${VERSION}/modules \
- -DPERL_VENDORINSTALL=yes || exit 1
-
-make $NUMJOBS || make || exit 1
-make install DESTDIR=$PKG || exit 1
-
-# Generate .pyc files
-python -m compileall "${PKG}$PYTHONLIB"
-python -O -m compileall "${PKG}$PYTHONLIB"
-python3 -m compileall "${PKG}$PYTHON3LIB"
-python3 -O -m compileall "${PKG}$PYTHON3LIB"
+# Configure, build, and install:
+export CFLAGS="$SLKCFLAGS"
+export CXXFLAGS="$SLKCFLAGS"
+mkdir meson-build
+cd meson-build
+meson setup \
+ --prefix=/usr \
+ --libdir=lib${LIBDIRSUFFIX} \
+ --libexecdir=/usr/libexec \
+ --bindir=/usr/bin \
+ --sbindir=/usr/sbin \
+ --includedir=/usr/include \
+ --datadir=/usr/share \
+ --mandir=/usr/man \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --buildtype=release \
+ -Dpacrunner-duktape=false \
+ -Ddocs=false \
+ .. || exit 1
+ "${NINJA:=ninja}" $NUMJOBS || exit 1
+ DESTDIR=$PKG $NINJA install || exit 1
+cd ..
+
+## Generate .pyc files
+#python -m compileall "${PKG}$PYTHONLIB"
+#python -O -m compileall "${PKG}$PYTHONLIB"
+#python3 -m compileall "${PKG}$PYTHON3LIB"
+#python3 -O -m compileall "${PKG}$PYTHON3LIB"
find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
| cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+# Compress manual pages:
+find $PKG/usr/man -type f -exec gzip -9 {} \+
+for i in $( find $PKG/usr/man -type l ) ; do
+ ln -s $( readlink $i ).gz $i.gz
+ rm $i
+done
+
mkdir -p $PKG/usr/doc/$PKGNAM-$VERSION
cp -a \
- AUTHORS COPYING* INSTALL NEWS README* \
+ CHANGELOG.md AUTHORS* COPYING* NEWS* README* \
$PKG/usr/doc/$PKGNAM-$VERSION
-# If there's a ChangeLog, installing at least part of the recent history
+# If there's a CHANGELOG.md, installing at least part of the recent history
# is useful, but don't let it get totally out of control:
-if [ -r ChangeLog ]; then
+if [ -r CHANGELOG.md ]; then
DOCSDIR=$(echo $PKG/usr/doc/${PKGNAM}-$VERSION)
- cat ChangeLog | head -n 1000 > $DOCSDIR/ChangeLog
- touch -r ChangeLog $DOCSDIR/ChangeLog
+ cat CHANGELOG.md | head -n 1000 > $DOCSDIR/CHANGELOG.md
+ touch -r CHANGELOG.md $DOCSDIR/CHANGELOG.md
fi
mkdir -p $PKG/install
diff --git a/source/n/nghttp2/nghttp2.url b/source/n/nghttp2/nghttp2.url
index 72e9f8158..6ea97e5f2 100644
--- a/source/n/nghttp2/nghttp2.url
+++ b/source/n/nghttp2/nghttp2.url
@@ -1,2 +1,2 @@
https://github.com/nghttp2/nghttp2
-https://github.com/nghttp2/nghttp2/releases/download/v1.58.0/nghttp2-1.58.0.tar.xz
+https://github.com/nghttp2/nghttp2/releases/download/v1.59.0/nghttp2-1.59.0.tar.xz
diff --git a/source/x/x11/build/xbiff b/source/x/x11/build/xbiff
index 00750edc0..d00491fd7 100644
--- a/source/x/x11/build/xbiff
+++ b/source/x/x11/build/xbiff
@@ -1 +1 @@
-3
+1